//!
//! \addtogroup linuxui Linux UI
//! @{
//! 

#ifndef _NAVIGATOR_BOX_H_
#define _NAVIGATOR_BOX_H_

#include "gtk/mdc_gtk_canvas_view.h"
#include <gtkmm/box.h>
#include <gtkmm/scale.h>
#include <gtkmm/comboboxentrytext.h>


namespace wb
{
  class WBContextUI;
};


class NavigatorBox : public Gtk::VBox
{
  wb::WBContextUI *_wbui;
  mdc::GtkCanvas _canvas;
  Gtk::HScale _slider;
  Gtk::ComboBoxEntryText _combo;

  void realized();
  void size_change(Gtk::Allocation &alloc);
  
  void slider_changed();
  void combo_changed();

public:
  NavigatorBox(wb::WBContextUI *wbui);
  
  void refresh();
};

#endif /* _NAVIGATOR_BOX_H_ */

//!                                                                                                                                     
//! @}                                                                                                                                  
//!
